List extensions
GET
/api/v2/nova/extensions
curl --request GET \ --url https://api.sipstack.com/api/v2/nova/extensions \ --header 'x-api-key: <x-api-key>'import requests
url = "https://api.sipstack.com/api/v2/nova/extensions"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.json())const url = 'https://api.sipstack.com/api/v2/nova/extensions';const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}import axios from 'axios';
const options = { method: 'GET', url: 'https://api.sipstack.com/api/v2/nova/extensions', headers: {'x-api-key': '<x-api-key>'}};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}Returns your organization’s extensions. Requires calls:read. Returns an empty list when no PBX is provisioned (not an error).
Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”Extension roster.
Media type application/json
object
success
boolean
data
Array<object>
An extension on your organization’s PBX.
object
id
string
extension
string
display_name
string
enabled
boolean
context
string
Example
{ "data": [ { "extension": "1001" } ]}Missing or invalid API key.
Media type application/json
Inline error shape used by the messaging API and management endpoints.
object
success
boolean
error
string
Example
{ "success": false, "error": "Recipient phone number (to) is required"}The key is missing the calls:read scope.
Media type application/json
Inline error shape used by the messaging API and management endpoints.
object
success
boolean
error
string
Example
{ "success": false, "error": "Recipient phone number (to) is required"}